# class Pointer<T>

#### package cpp

#### extends ConstPointer

Available on Android, iOS, Linux, macOS, Windows

### Variables

###

`ref:Reference<T>`

### Methods

###

`destroy ():Void`

###

`destroyArray ():Void`

###

`get_ref ():Reference<T>`

###

`postIncRef ():Reference<T>`

###

`setAt (inIndex:Int, value:T):Void`

###

`set_ref (t:T):Reference<T>`

###

`inline toUnmanagedArray (elementCount:Int):Array<T>`

###

`inline toUnmanagedVector (elementCount:Int):Vector<T>`

### Static methods

###

`staticaddressOf<T> (inVariable:Reference<T>):Pointer<T>`

###

`staticinline arrayElem<T> (array:Array<T>, inElem:Int):Pointer<T>`

###

`staticendOf<T> (inVariable:T):Pointer<Void>`

###

`staticinline fromHandle<T> (inHandle:Dynamic, ?inKind:String):Pointer<T>`

###

`staticfromPointer<T> (inNativePointer:Dynamic):Pointer<T>`

###

`staticfromRaw<T> (ptr:RawPointer<T>):Pointer<T>`

###

`staticnativeArrayElem<T> (array:Array<T>, inElem:Int):AutoCast`

###

`staticnativeFromHandle<T> (inHandle:Dynamic, ?inKind:String):AutoCast`

###

`staticnativeOfArray<T> (array:Array<T>):AutoCast`

###

`staticinline ofArray<T> (array:Array<T>):Pointer<T>`

### Inherited Variables

#### Defined by ConstPointer

###

`read onlyconstRaw:RawConstPointer<T>`

###

`ptr:Star<T>`

###

`read onlyraw:RawPointer<T>`

###

`read onlyvalue:T`

### Inherited Methods

#### Defined by ConstPointer

###

`at (inIndex:Int):Reference<T>`

###

`geq (inOther:ConstPointer<T>):Bool`

###

`get_constRaw ():RawConstPointer<T>`

###

`get_raw ():RawPointer<T>`

###

`get_value ():Reference<T>`

###

`gt (inOther:ConstPointer<T>):Bool`

###

`leq (inOther:ConstPointer<T>):Bool`

###

`lt (inOther:ConstPointer<T>):Bool`

###

`postIncVal ():Reference<T>`

###

`rawCast<Other> ():RawPointer<Other>`

###

`reinterpret<Other> ():Pointer<Other>`

###

`setRaw<O> (ptr:RawPointer<O>):Void`